This repo contains a QPA plugin to make Qt a Mir server.

Handy way to grab dependencies is with:
$ sudo mk-build-deps -ir debian/control

To use, compile and install (building in a "build" subdir as an example):
$ mkdir build
$ cd build
$ cmake -DCMAKE_INSTALL_PREFIX=/usr ../
$ make
$ sudo make install

To enable debug output, replace the single "cmake" command with
$ cmake -DCMAKE_BUILD_TYPE=Debug
(is good to "make clean" beforehand)

To avoid building the tests (to speed up the build):
$ cmake -DNO_TESTS=true

To enable logging of Qt's OpenGL debug messages:
$ cmake -DQGL_DEBUG=true

To test the server, enter the demos directory, and run (NB: server should be run as root):

$ sudo su
$ export QT_QPA_PLATFORM=mirserver
$ export MIR_SERVER_FILE=/tmp/mir_socket
$ unset QT_QPA_PLATFORMTHEME

then run the Qt application of your choice (qmlscene best). As example, try

$ qmlscene qml-demo-shell/qml-demo-shell.qml

prepare the environment for running mir clients:

$ sudo chmod a+rw /tmp/mir_socket
$ export MIR_SOCKET=/tmp/mir_socket

and then try running an application:

$ mir_demo_client_egltriangle --desktop_file_hint=/usr/share/applications/gallery-app.desktop
or
$ unset QT_QPA_PLATFORMTHEME
$ export QT_QPA_PLATFORM=ubuntumirclient
$ qmlscene qml-demo-client/qml-demo-client.qml --desktop_file_hint=/usr/share/click/preinstalled/com.lomiri.calendar/0.4.172/calendar-app.desktop

where the desktop file hint specifies an existing file.
